import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/AsheshPinisetti/5753f644f92f61d75cc07e8b23637863/raw/5f41f6d2cc0db4e9e2568743bc22343df10845fb/Activity6_population.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = (d) => {
      d.Population = +d['2020'] * 1000;
      return d;
    };
    csv(csvUrl, row).then((data) => {
      setData(data.slice(0, 30));
    });
  }, []);

  return data;
};
